All pages
Powered by GitBook
1 of 11

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

State diagram

The following diagram shows the state (status) transition process of a seller in the platform.

The state transition diagram of a seller.
State
Definition

Active

The seller is active and available for transactions in the Marketplace.

Offline

The seller is unavailable or offline.

Disabled

The seller is not operational and cannot be used for transactions. However, you can still access any historical data related to the seller.

Deleted

The seller has been deleted. This status is not visible on the interface.

Delete seller

Deletes the seller object. When deleted, the status changes from Active to Deleted.

Activate seller

Activates a previously deactivated or disabled seller.

When activated, the status changes from Offline or Disabled to Active.

Create seller

List sellers

Gets the Sellers collection.

Update seller

Updates the seller object, except for the seller's status. To manage the status, use the disable, activate, deactivate, and delete endpoints.

Get seller

Gets a single Seller object by ID.

Seller

The Seller object represents a seller in the Marketplace platform.

This object contains the following attributes:

Field
Type
Description

id

string, core

Get seller icon

Retrieves the icon for the seller.

(Read-only) Primary identifier for the seller.

status

string

The seller's status. Allowed values are:

  • Active

  • Disabled

  • Offline

  • Deleted

name

string, core

The name of the seller.

icon

string

(Optional) The relative path to the seller’s logo.

externalId

string, core

The external identifier.

address

object

The address of the seller.

Example:

currency

string

The currency of the seller.

buyers

object

Represents the buyer object.

audit

object

(Read-only) Represents the audit object.

Examples

SELLER OBJECT
{
  "id": "SEL-7295-4834",
  "externalId": "SWO_CH",
  "status": "Active",
  "icon": null,
  "currency": "USD",
  "address": {
    "addressLine1": "Some street",
    "addressLine2": null,
    "postCode": "P0S C0D3",
    "city": "Some city",
    "state": "SS",
    "country": "CH"
  },
  "name": "SoftwareOne AG"
}
THE SELLER OBJECT
{
	"id": "SEL-7295-4834",
	"externalId": "SWO_CH",
	"status": "Active",
	"icon": null,
	"currency": "USD",
	"address": {
		"addressLine1": "Some street",
		"addressLine2": null,
		"postCode": "P0S C0D3",
		"city": "Some city",
		"state": "SS",
		"country": "CH"
	},
	"name": "SoftwareOne AG",
	"buyers": [
		{
			"id": "BUY-2321-7707",
			"name": "My first buyer"
		}
	],
	"audit": {
		"created": {
			"at": "2023-12-14T14:19:13.410Z",
			"by": {
				"id": "USR-0000-0001",
				"icon": null,
				"invited": "2024-02-03T11:59:55.933Z",
				"joined": "2024-02-04T12:59:55.933Z",
				"lastLogin": null,
				"name": "Will Smith"
			}
		},
		"updated": {
			"at": "2024-01-24T09:33:09.073Z",
			"by": {
				"id": "USR-0000-0001",
				"icon": null,
				"invited": "2024-02-03T11:59:55.933Z",
				"joined": "2024-02-04T12:59:55.933Z",
				"lastLogin": "2024-02-05T13:59:55.933Z",
				"name": "Will Smith"
			}
		}
	}
}
{
  "addressLine1": "123 Main Street",
  "addressLine2": "Apt 4B",
  "postCode": "12345",
  "city": "Cityville",
  "state": "S",
  "country": "ST"
}

Deactivate seller

Deactivates a seller. When the seller has been deactivated, the status changes from Active to Offline.

Disable seller

Disables or deactivates the seller object. When the seller has been disabled, the status changes from Active to Disabled. Note that disabled sellers can't be used in transactions.

Delete seller

delete

Delete seller. Available for Operations account with platform account management permissions. Removes the seller record. Returns 204 No Content on success.

Path parameters
idstringRequired

Seller identifier.

Responses
204

No Content

No content

400

Bad Request

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
404

Not Found

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
delete/public/v1/accounts/sellers/{id}
DELETE /public/v1/accounts/sellers/{id} HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*

No content

List sellers

get

List sellers. Available for Client, Vendor and Operations accounts. Returns a paged list of sellers; supports RQL query parameters for filtering and selection.

Responses
200

OK

application/json
offsetinteger · int32Optional
limitinteger · int32Optional
totalinteger · int32 · nullableOptional
omittedstring[]Optional
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
externalIdstring · nullableOptional
statusstring · enumOptionalPossible values:
valuestringOptional
billingEnabledbooleanOptional
isDefaultbooleanOptional
addressLine1string · nullableOptional
addressLine2string · nullableOptional
postCodestring · nullableOptional
citystring · nullableOptional
statestring · nullableOptional
countrystring · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
companyNamestring · nullableOptional
statusstring · enumOptionalPossible values:
navisionany · nullableOptional
get/public/v1/accounts/sellers
GET /public/v1/accounts/sellers HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
200

OK

{
  "data": [
    {
      "id": "SEL-7295-4834",
      "revision": 2,
      "name": "SoftwareOne AG",
      "externalId": "SWO_CH",
      "status": "Active",
      "currencies": [
        "USD"
      ]
    }
  ],
  "$meta": {
    "pagination": {
      "offset": 0,
      "limit": 10,
      "total": 1
    }
  }
}

Update seller

put

Update seller. Available for Operations account with platform account management permissions. Accepts application/json or multipart/form-data (with optional icon). Updates seller fields such as name, address, or external identifiers. Returns the updated seller object.

Path parameters
idstringRequired

Seller identifier.

Body
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
externalIdstring · nullableOptional
statusstring · enumOptionalPossible values:
valuestringOptional
billingEnabledbooleanOptional
isDefaultbooleanOptional
addressLine1string · nullableOptional
addressLine2string · nullableOptional
postCodestring · nullableOptional
citystring · nullableOptional
statestring · nullableOptional
countrystring · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
companyNamestring · nullableOptional
statusstring · enumOptionalPossible values:
navisionany · nullableOptional
logostring · binaryOptional
Responses
200

OK

application/json
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
externalIdstring · nullableOptional
statusstring · enumOptionalPossible values:
valuestringOptional
billingEnabledbooleanOptional
isDefaultbooleanOptional
addressLine1string · nullableOptional
addressLine2string · nullableOptional
postCodestring · nullableOptional
citystring · nullableOptional
statestring · nullableOptional
countrystring · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
companyNamestring · nullableOptional
statusstring · enumOptionalPossible values:
navisionany · nullableOptional
400

Bad Request

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
404

Not Found

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
put/public/v1/accounts/sellers/{id}
PUT /public/v1/accounts/sellers/{id} HTTP/1.1
Host: api.platform.softwareone.com
Content-Type: multipart/form-data
Accept: */*
Content-Length: 692

{
  "seller": {
    "id": "text",
    "audit": {
      "created": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "updated": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      }
    },
    "$meta": {
      "omitted": [
        "text"
      ]
    },
    "name": "text",
    "icon": "text",
    "revision": 1,
    "externalId": "text",
    "status": "Active",
    "currencies": [
      {
        "value": "text",
        "billingEnabled": true,
        "isDefault": true
      }
    ],
    "address": {
      "addressLine1": "text",
      "addressLine2": "text",
      "postCode": "text",
      "city": "text",
      "state": "text",
      "country": "text"
    },
    "erpLink": {
      "id": "text",
      "name": "text",
      "icon": "text",
      "revision": 1,
      "companyName": "text",
      "status": "Active"
    },
    "attributes": {
      "navision": null
    }
  },
  "logo": "binary"
}
{
  "id": "SEL-7295-4834",
  "revision": 2,
  "name": "SoftwareOne AG",
  "icon": "/static/accounts/SEL-7295-4834/logo.png",
  "audit": {
    "created": {
      "at": "2024-02-01T09:12:23+00:00",
      "by": {
        "id": "USR-0001",
        "name": "Ops User"
      }
    },
    "updated": {
      "at": "2024-02-02T10:20:00+00:00",
      "by": {
        "id": "USR-0001",
        "name": "Ops User"
      }
    }
  }
}

Get seller by ID

get

Get seller by ID. Available for Client, Vendor and Operations accounts. Returns a single seller with id, name, status, address, currencies, and audit. Optional select query parameter controls which fields are returned.

Path parameters
idstringRequired

Seller identifier.

Query parameters
selectstringOptional

Optional RQL select statement to limit returned fields.

Responses
200

OK

application/json
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
externalIdstring · nullableOptional
statusstring · enumOptionalPossible values:
valuestringOptional
billingEnabledbooleanOptional
isDefaultbooleanOptional
addressLine1string · nullableOptional
addressLine2string · nullableOptional
postCodestring · nullableOptional
citystring · nullableOptional
statestring · nullableOptional
countrystring · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
companyNamestring · nullableOptional
statusstring · enumOptionalPossible values:
navisionany · nullableOptional
404

Not Found

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
get/public/v1/accounts/sellers/{id}
GET /public/v1/accounts/sellers/{id} HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
  "id": "SEL-7295-4834",
  "revision": 2,
  "name": "SoftwareOne AG",
  "externalId": "SWO_CH",
  "status": "Active",
  "currencies": [
    "USD"
  ],
  "address": {
    "addressLine1": "Some street",
    "postCode": "P0S C0D3",
    "city": "Some city",
    "state": "SS",
    "country": "CH"
  }
}

Get seller icon

get

Get seller icon. Available for public access (no authentication required). Returns a redirect (307) to the icon binary URL. Response uses a private blob cache profile.

Path parameters
idstringRequired

Seller identifier.

Responses
307

Temporary Redirect

No content

404

Not Found

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
get/public/v1/accounts/sellers/{id}/icon
GET /public/v1/accounts/sellers/{id}/icon HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*

No content

Deactivate seller

post

Deactivate seller. Changes seller state to Offline (e.g for maintenance). Available for Operations account with platform account management permissions. Returns the updated seller object.

Path parameters
idstringRequired

Seller identifier.

Responses
200

OK

application/json
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
externalIdstring · nullableOptional
statusstring · enumOptionalPossible values:
valuestringOptional
billingEnabledbooleanOptional
isDefaultbooleanOptional
addressLine1string · nullableOptional
addressLine2string · nullableOptional
postCodestring · nullableOptional
citystring · nullableOptional
statestring · nullableOptional
countrystring · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
companyNamestring · nullableOptional
statusstring · enumOptionalPossible values:
navisionany · nullableOptional
400

Bad Request

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
404

Not Found

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
post/public/v1/accounts/sellers/{id}/deactivate
POST /public/v1/accounts/sellers/{id}/deactivate HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
  "id": "SEL-7295-4834",
  "revision": 2,
  "name": "SoftwareOne AG",
  "externalId": "SWO_CH",
  "status": "Offline",
  "audit": {
    "created": {
      "at": "2024-02-01T09:12:23+00:00",
      "by": {
        "id": "USR-0001",
        "name": "Ops User"
      }
    },
    "updated": {
      "at": "2024-02-02T10:05:00+00:00",
      "by": {
        "id": "USR-0001",
        "name": "Ops User"
      }
    },
    "offline": {
      "at": "2024-02-02T10:05:00+00:00",
      "by": {
        "id": "USR-0001",
        "name": "Ops User"
      }
    }
  }
}

Disable seller

post

Disable seller. Changes seller state to Disabled. Available for Operations account with platform account management permissions. Returns the updated seller object.

Path parameters
idstringRequired

Seller identifier.

Responses
200

OK

application/json
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
externalIdstring · nullableOptional
statusstring · enumOptionalPossible values:
valuestringOptional
billingEnabledbooleanOptional
isDefaultbooleanOptional
addressLine1string · nullableOptional
addressLine2string · nullableOptional
postCodestring · nullableOptional
citystring · nullableOptional
statestring · nullableOptional
countrystring · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
companyNamestring · nullableOptional
statusstring · enumOptionalPossible values:
navisionany · nullableOptional
400

Bad Request

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
404

Not Found

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
post/public/v1/accounts/sellers/{id}/disable
POST /public/v1/accounts/sellers/{id}/disable HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
  "id": "SEL-7295-4834",
  "revision": 2,
  "name": "SoftwareOne AG",
  "externalId": "SWO_CH",
  "status": "Disabled",
  "audit": {
    "created": {
      "at": "2024-02-01T09:12:23+00:00",
      "by": {
        "id": "USR-0001",
        "name": "Ops User"
      }
    },
    "updated": {
      "at": "2024-02-02T10:10:00+00:00",
      "by": {
        "id": "USR-0001",
        "name": "Ops User"
      }
    },
    "disabled": {
      "at": "2024-02-02T10:10:00+00:00",
      "by": {
        "id": "USR-0001",
        "name": "Ops User"
      }
    }
  }
}
post

Activate seller. Changes seller state to Active. Available for Operations account with platform account management permissions. Returns the updated seller object.

Path parameters
idstringRequired

Seller identifier.

Responses
200

OK

application/json
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
externalIdstring · nullableOptional
statusstring · enumOptionalPossible values:
valuestringOptional
billingEnabledbooleanOptional
isDefaultbooleanOptional
addressLine1string · nullableOptional
addressLine2string · nullableOptional
postCodestring · nullableOptional
citystring · nullableOptional
statestring · nullableOptional
countrystring · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
companyNamestring · nullableOptional
statusstring · enumOptionalPossible values:
navisionany · nullableOptional
400

Bad Request

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
404

Not Found

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
post/public/v1/accounts/sellers/{id}/activate
POST /public/v1/accounts/sellers/{id}/activate HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
  "id": "SEL-7295-4834",
  "revision": 2,
  "name": "SoftwareOne AG",
  "externalId": "SWO_CH",
  "status": "Active",
  "icon": null,
  "currencies": [
    "USD"
  ],
  "audit": {
    "created": {
      "at": "2024-02-01T09:12:23+00:00",
      "by": {
        "id": "USR-0001",
        "name": "Ops User"
      }
    },
    "updated": {
      "at": "2024-02-02T10:00:00+00:00",
      "by": {
        "id": "USR-0001",
        "name": "Ops User"
      }
    },
    "activated": {
      "at": "2024-02-02T10:00:00+00:00",
      "by": {
        "id": "USR-0001",
        "name": "Ops User"
      }
    }
  }
}
post

Create seller. Available for Operations account with platform account management permissions. Accepts application/json. Returns the created seller object.

Body
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestring · min: 1 · max: 500Required
iconstring · nullableOptional
revisioninteger · int32Optional
externalIdstring · nullableOptional
statusstring · enumOptionalPossible values:
valuestringOptional
billingEnabledbooleanOptional
isDefaultbooleanOptional
addressLine1string · nullableOptional
addressLine2string · nullableOptional
postCodestring · nullableOptional
citystring · nullableOptional
statestring · nullableOptional
countrystring · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
companyNamestring · nullableOptional
statusstring · enumOptionalPossible values:
navisionany · nullableOptional
Responses
201

Created

application/json
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
externalIdstring · nullableOptional
statusstring · enumOptionalPossible values:
valuestringOptional
billingEnabledbooleanOptional
isDefaultbooleanOptional
addressLine1string · nullableOptional
addressLine2string · nullableOptional
postCodestring · nullableOptional
citystring · nullableOptional
statestring · nullableOptional
countrystring · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
companyNamestring · nullableOptional
statusstring · enumOptionalPossible values:
navisionany · nullableOptional
400

Bad Request

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
post/public/v1/accounts/sellers
POST /public/v1/accounts/sellers HTTP/1.1
Host: api.platform.softwareone.com
Content-Type: application/json
Accept: */*
Content-Length: 220

{
  "name": "SoftwareOne AG",
  "externalId": "SWO_CH",
  "status": "Active",
  "currencies": [
    "USD"
  ],
  "address": {
    "addressLine1": "Some street",
    "addressLine2": "Apt 4B",
    "postCode": "P0S C0D3",
    "city": "Some city",
    "state": "SS",
    "country": "CH"
  }
}
{
  "id": "SEL-7295-4834",
  "revision": 1,
  "name": "SoftwareOne AG",
  "externalId": "SWO_CH",
  "status": "Active",
  "currencies": [
    "USD"
  ],
  "address": {
    "addressLine1": "Some street",
    "addressLine2": "Apt 4B",
    "postCode": "P0S C0D3",
    "city": "Some city",
    "state": "SS",
    "country": "CH"
  },
  "audit": {
    "created": {
      "at": "2024-02-01T09:12:23+00:00",
      "by": {
        "id": "USR-0001",
        "name": "Ops User"
      }
    },
    "updated": {
      "at": "2024-02-01T09:12:23+00:00",
      "by": {
        "id": "USR-0001",
        "name": "Ops User"
      }
    }
  }
}

Activate seller

Create seller